#
# spec file for package python-sphinx-bootstrap-theme
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx-bootstrap-theme
Version:        0.8.1
Release:        2.3
Summary:        Sphinx Bootstrap Theme
License:        Apache-2.0 AND MIT
Group:          Development/Languages/Python
URL:            http://ryan-roemer.github.com/sphinx-bootstrap-theme/README.html
Source:         https://files.pythonhosted.org/packages/source/s/sphinx-bootstrap-theme/sphinx-bootstrap-theme-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.6.1
BuildArch:      noarch

%python_subpackages

%description
This Sphinx theme integrates the Bootstrap CSS / JavaScript framework
with various layout options, hierarchical menu navigation, and
mobile-friendly responsive design. It is configurable, extensible, and
can use any number of different Bootswatch CSS themes.

%prep
%setup -q -n sphinx-bootstrap-theme-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%doc HISTORY.rst README.rst TODO.rst
%{python_sitelib}/*

%changelog
* Thu Mar 23 2023 pgajdos@suse.com
- Fabric not required
  (https://github.com/ryan-roemer/sphinx-bootstrap-theme/commit/be04b92932d90a28d52bf2977f4c5800a0930a77)
* Wed Feb 23 2022 pgajdos@suse.com
- version update to 0.8.1
  ======
  v0.8.1
  ======
  * Fix space in script tags. (`@ivoire`_)
    `#223 <https://github.com/ryan-roemer/sphinx-bootstrap-theme/pull/223>`_.
  * Fix client-side search in Sphinx 3.4+. (`@larsoner`_)
    `#213 <https://github.com/ryan-roemer/sphinx-bootstrap-theme/pull/213>`_.
  ======
  v0.8.0
  ======
  * Upgrade Bootstrap and Bootswatch to v3.4.1. (`@vedranmiletic`_)
    `#190 <https://github.com/ryan-roemer/sphinx-bootstrap-theme/issues/190>`_.
  * Upgrade jQuery to v1.12.4. (`@vedranmiletic`_)
* Fri Apr 26 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.7.1
  * Fix search JavaScript loading.
  * Update for Sphinx>=2.0.0 compatibility.
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix the upstream archive to match up
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Convert to singlespec
* Tue Dec 18 2018 sbrabec@suse.com
- Update to version 0.6.5:
  * Fixes.
  * Compatible with Sphinx >= 1.7.0.
- Switch to python3.
* Wed Feb 17 2016 aplanas@suse.com
- Initial package (0.4.8)
